@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing: border-box;
      text-decoration: none;
      border: none;
      outline: none; 
}
:root{
    --color-primary: #6b69d6;
    --color-bg: #1b1b42;
    --color-bg2: #4f4d9e;
    --color-bg3: #4f4d9e50;
    --color-white: #ffffff;
    --color-light: #f5f5f5;
    --transition: .4s ease;
}
/*----*/
html{
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}
body{
    background: var(--color-bg);
    color: var(--color-light);
}
h1{
    font-size: 60px;
}
h2{
    font-size: 2rem;
}

h3{
    font-size: 1.6rem;
}
h4{
    font-size: 1.1rem;
}
h5{
    font-size: .95rem;
}
h1,h2,h3,h4,h5{
    color: var(--color-white);
    line-height: 1.1;
}
a{
    color: var(--color-white);
    transition: var(--transition);
}
section{
    padding: 8rem 0;
}
section>h2{
    text-align: center;
}
.section>p{
    text-align: center;
    width: 40%;
    margin: .5rem auto 4rem;
}


p{
    line-height: 150%;
    font-size: 17px;
}
img{
    display: block;
    width: 100%;
    object-fit: cover;
}
.btn{
    display: inline-block;
    width: fit-content;
    padding: 16px 32px;
    border: 2px solid transparent;
    cursor: pointer;
    background: var(--color-primary);
    color: var(--color-white);
    border-radius: 2rem;
    font-size: 18px;
    transition: var(--transition);
}
.btn:hover{
    background: transparent;
    border-color: var(--color-white);
    transform: translateY(-.5rem);
}

.btn-white{
    background: transparent;
    border-color: var(--color-white);
}
.btn-white:hover{
    background: var(--color-white);
    color: var(--color-bg);
}
.btn-sm{
    padding: 10px 20px;
    font-size: 17px;
}
/* xard */
.card{
    background: var(--color-bg3);
    padding: 1.5rem;
    border: 2px solid transparent;
    border-radius: 1.2rem;
    transition: var(--transition);
}
.card:hover{
    background: transparent;
    border-color: var(--color-white);
    transform: var(--color-white);
}
.card-primary{
    background: transparent;
    border-color: var(--color-primary);
}
.card-primary:hover{
    background: var(--color-primary);
}
.container{
    max-width: 1420px;
    width: 90%;
    margin: 0 auto;
}
/* star */
/* end nav */
nav{
    height: 5rem;
    width: 100%;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
}
.nav-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.menu-bar{
    display: none;
}
.menu-button{
    display: none;
}
.nav-links{
    display: flex;
    align-items: center;
    gap: 4rem;
}
.nav-scroll{
    background: var(--color-primary);
    box-shadow: 0 0 1rem rgba(0,0,0,0.4);
}
.nav-links li a{
    color: var(--color-white);
    font-size: 17px;
    transition: var(--transition);
    display: inline-block;
}
.nav-links li a:hover{
    transform: translateY(-.5rem);
}
header{
    height: 100vh;
    width: 100%;
    overflow: hidden;
    display: grid;
    align-items: center;
}
.header-container{
    display: grid;
    grid-template-columns: auto 450px;
    align-items: center;
    height: 100%;
    padding-top: 2.5rem;
    gap: 2%;
    position: relative;
}
.header-container::after{
    content: '';
    width: 1000%;
    right: -981%;
    position: absolute;
    background: var(--color-bg2);
    height: 100%;
    z-index: -1;
}
.header-left h2{
    margin: 1rem 0;
}
.typed-text{
    background: var(--color-primary);
    border-bottom:4px solid var(--color-white);
}
.header-left p{
    font-size: 19px;
    width: 94%;
    margin: .5rem 0 2rem;
}

.header-right{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 450px;
    
}
.hero-image{
    position: absolute;
    width: 80%;
    height: 80%;
    background: var(--color-primary);
    border-radius: 50%;
    overflow: hidden;
    display: flex;
}
.hero-image img{
    position: relative;
    top: .5rem;
}
.round{
    width: 100%;
    height: 100%;
    position: absolute;
    border-color: var(--color-white)transparent;
    border-style:solid ;
    border-radius: 50%;
    border-width: 4px 4px 0 0;
    animation: RoundAni infinite linear 10s ;
}
.moon{
    width: 2rem;
    height: 2rem;
    background: var(--color-white);
    border-radius: 50%;
    position: absolute;
    right: 60px;
    top: 40px;
    box-shadow: 0 0 1rem var(--color-primary);
}
@keyframes RoundAni{
    to{
        transform: rotate(360deg);
    }
}
.Social-links{
    position: absolute;
    bottom: 2rem;
    display: flex;
    align-items: center;
    gap: 2rem;
}
.Social-links a{
    font-size: 1.2rem;
    color: var(--color-white);
    transition: var(--transition);
}
.Social-links a:hover{
    color: var(--color-primary);
    transform: translateY(-.5rem);
}
.HireMe{
    position: absolute;
    bottom: 2rem;
    text-decoration: underline;
    right: 0;
    font-size: 17px;
    transition: var(--transition);
}
.HireMe:hover{
    transform: translateY(-.5rem);
    color: var(--color-primary);
}


#About{
    background: var(--color-bg3);
}
.about-cotainer{
    width: 70%;
}
.about-cards{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    text-align: center;
    gap: 4%;
}
.about-card{
    display: flex;
    flex-direction: column;
    gap: .8rem;
}

.about-card span{
    padding: .8rem;
    width: fit-content;
    margin: 0 auto;
    font-size: 1.1rem;
    display: flex;
    border-radius: .4rem;
 
}


.about-card:hover span{
    background: var(--color-bg3);
 
}
.about-cotainer h3{
 margin-top: 2rem;
 margin-bottom: 1rem;
}

.about-cotainer p{
     margin-bottom: 2rem;
}

.skills-container{
    display: grid;
    grid-template-columns: 40% auto;
    gap: 4%;
}

.skills-left{
     display: grid;
     grid-template-columns: 1fr;
    gap: 4%;
}
.skill-card{
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: .8rem ;
    text-align: center;
}
.skill-card  span{
    font-size: 2rem;
}
.skills-right{
    display: flex;
    flex-direction: column;
    gap: 3rem;
}
.progress{

    position: relative;
}

.progress h5:nth-child(2){
    position: absolute;
    right: 0;
    top: 0;
}
.progress h5{
    display: flex;
    align-items: center;
    gap: .8rem;
}
.progress h5 i{
    font-size: 1.4rem;
}
.out-row{
    width: 100%;
    height: .7rem;
    background: var(--color-white);
    margin-top: 1rem;
}
.inner-row{
    width: 100%;
    background: var(--color-primary);
    height: 100%;
}
.progress:nth-child(1) .inner-row{
    width: 60% !important;
}
.progress:nth-child(2) .inner-row{
    width: 60% !important;
}
.progress:nth-child(3) .inner-row{
    width: 50% !important;
}
.progress:nth-child(4) .inner-row{
    width: 70% !important;
}
.progress:nth-child(5) .inner-row{
    width: 50% !important;
}
.progress:nth-child(6) .inner-row{
    width: 60% !important;
}
.progress:nth-child(7) .inner-row{
    width: 70% !important;
}

#Services{
    background: var(--color-bg3);
}
.services-cotnainer{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 3%;
}
.services-card{
    display: flex;
    flex-direction: column;
    gap: .8rem;
    text-align: center;
}
.services-card span{
   font-size: 1.6rem;
}
.portfolio-tabs{
    margin-bottom: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 3rem;
}
.tab-active{
    background: var(--color-white);
    color: var(--color-bg);
}
.portfolio-projects{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 3%;
}
.project{
    display: flex;
    flex-direction: column;
    gap: .8rem;
    animation: projectAni var(--transition);
}
.project img{
    border-radius: .8rem;
}
.project-action-aria{
    display: flex;
    gap: 1rem;
    align-items: center;
  
}
@keyframes projectAni{
  0%{
    transform: scale(0);
  }   
  100%{
    transform: scale(1);
  }
}
.container-contact{
    width: 60%;
    display: grid;
    grid-template-columns: 8rem auto;
    gap: 3%;
}
.contact-left{
    display: flex;
    align-items: center;
    gap: 1rem;
    flex-direction: column;
}
.contact-left a{
    font-size: 1.6rem;
}
form input,textarea{
    width: 100%;
    padding: 1.4rem;
    background: transparent;
    border: 2px solid var(--color-white);
    border-radius: .8rem;
    margin-bottom: 1rem;
    font-size: 16px;
    color: var(--color-white);
    resize: none;
}
form input::placeholder,textarea::placeholder{
    color: var(--color-white);
}
footer{
    background: var(--color-bg2);
    height: 5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
@media (max-width:1200px){
    h1{
        font-size: 46px;
    }
}
@media (max-width:1024px){
    .section>p{
       width: 60%; 
    }
    nav{
        background: var(--color-primary);
    }
    .nav-links{
        display: none;
    }
    .menu-button{
        display: inline-block;
        background: transparent;
        color: var(--color-white);
        font-size: 1.6rem;
    }
    .menu-bar{
        display: flex;
        position: fixed;
        bottom: 0;
        width: 100%;
        height: 5rem;
        align-items: center;
        justify-content: center;
        z-index: 2;
        background: var(--color-primary);
        transition: var(--transition);
    }
    .menu-none{
        bottom: -100%;
        transition: var(--transition);
    }
    .menubar-container{
        display: flex;
        align-items: center;
        gap: 4rem;
        flex-wrap: wrap;
        justify-content: center;
    }
    .menubar-container a{
font-size: 1.6rem;
transition: var(--transition);
    }
    .menubar-container a:hover{
        transform: scale(1.2);
    }
    .header{
        height: 90vh;
    }
    .header-container{
        grid-template-columns: 1fr;
        padding: 0;
        padding-bottom: 5rem;
        text-align: center;
    }
    .header-container::after{
        right: -951%;
    }
    .header-right{
        width: 400px;
        height: 400px;
        margin: 0 auto;
        grid-row: 1;
        padding-top: 12rem;
    }
    .moon{
        right: 45px;
    }
    .about-cards{
        gap: 2%;
    }
    .about-cotainer{
        width: 80%;
    }
    .services-cotnainer{
        grid-template-columns: 1fr 1fr;
    }
    .portfolio-projects{
        grid-template-columns: 1fr 1fr;
    }
    .container-contact{
        width: 70%;
    }
    


}
@media(max-width:600px){
 h1{
    font-size: 36px;
 }
 h2{
    font-size: 1.6rem;
 }
 h3{
    font-size: 1.3rem;
 }
 p{
    font-size: 16px;
 }
 .btn{
    padding:12px 26px ;
 }
 nav{
    height: 4rem;
 }
 .logo h3{
 font-size: 1.5rem;
 }
 .menu-button{
    font-size: 1.5rem;
 }
 .menu-bar{
    height: 4rem;
 }
  .menubar-container a{
    font-size: 1.3rem;
  }
 .menubar-container{
    gap: 1rem;
    justify-content: space-between;
 }
 header{
    height: 100vh;
 }
 .header-right{
    height: 280px;
    width: 280px;
 }
 .moon{
    height: 1.5rem;
    width: 1.5rem;
    right: 20px;
    top: 35px;
 }
 .header-container{
    padding: 0;
 }
 .header-container p{
    width: 100%;
 }
 .HireMe{
    display: none;
 }
 .Social-links{
    justify-content: center;
    position: relative;
 }
 .header-left{
    padding-top: 4rem;
 }
 .about-cotainer{
    width: 90%;
 }
 .about-cards{
    grid-template-columns: 1fr 1fr;
    gap: 4%;
 }
 .skills-container{
    grid-template-columns: 1fr;
 }
 .skills-container p{
    margin-top: 2rem;
 }
 .services-cotnainer{
    grid-template-columns: 1fr;
 }
 .portfolio-tabs{
    gap: 1rem;
 }
 .portfolio-tabs .btn-sm{
    padding: 8px 18px !important;
 }
 .portfolio-projects{
    grid-template-columns: 1fr;
    gap: 1.4rem;
 }
 .container-contact{
width: 90%;
grid-template-columns: 1fr;
 }
 .contact-left{
    flex-direction: row;
    justify-content: center;
    margin-bottom: 2rem;
 }
}